CodeDeploy
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update CodeDeploy action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Upload files to Code Deploy",
"type": "CODE_DEPLOY",
"trigger_time": "ON_EVERY_EXECUTION",
"integration": {
"identifier": "aws"
},
"local_path": "/",
"application_name": "tests",
"region": "us-east-1",
"group_name": "DemoFleet",
"config_name": "CodeDeployDefault.OneAtATime",
"description": "Deploy comment.",
"ignore_application_stop_failures": false,
"update_outdated_instances_only": false,
"wait_for_finish_deployment": true,
"file_exist_behavior": "OVERWRITE",
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/assets/style",
"/tmp/file.txt"
]
}'STATUS200 OK